Uploaded image for project: 'JBeret'
  1. JBeret
  2. JBERET-502

Upgrade Google guava from 25.1-jre to 30.0-jre

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: jberet-core
    • Labels:
      None
    • [QE] How to address?:
      ---
    • [QE] Why QE missed?:
      ---

      Description

      After WildFly is upgraded to use Guava 30.0-jre (WFLY-14142), jberet project should also upgrade its Guava dependency to 30.0-jre

      Note: jberet master branch has Guava 25.1-jre, and 3.x branch has 18.0. We should probably just upgrade in jberet master branch.

      Update Google guava to 30.0-jre. Exclude all dependencies but failureaccess 1.0.1 according to Google Guava Important Warnings #3:
      https://github.com/google/guava

      Release Notes https://github.com/google/guava/releases/tag/v30.0
      Release-Diff: https://github.com/google/guava/compare/v25.0...v30.0

      The update is justified due to ForkJoin Security Manager improvement: Issue 3784 Commit
      https://github.com/google/guava/issues/3784
      https://github.com/google/guava/commit/6e0c5b5d50a3e457ae0d787f7c9be7b48c10120b

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            cfang Cheng Fang
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated: